HARDLINK(1)

BEZEICHNUNG
hardlink - mehrere Kopien einer Datei verlinken

ÜBERSICHT

hardlink [Optionen] [Verzeichnis|Datei] …

BESCHREIBUNG

hardlink ist ein Werkzeug, das Kopien einer Datei durch harte Links ersetzt und dadurch Platz spart.

OPTIONEN

-h, --help
    gibt kurze Details zur Verwendung auf dem Bildschirm aus.

-v, --verbose
    aktiviert die ausführlichere Ausgabe. Falls dies einmal angegeben ist, wird jede hart verlinkte Datei angezeigt; bei zweimaliger Angabe wird auch jeder Vergleich angezeigt.

-q, --quiet
    unterdrückt die Ausgaben.

-n, --dry-run
    führt nichts aus, sondern gibt nur aus, was geändert werden würde.

-f, --respect-name
    versucht, nur Dateien mit dem gleichen Namen (Basisnamen) zu verlinken. Es wird ausdrücklich empfohlen, statt -f besser lange Optionen zu verwenden, da dies von anderen hardlink-Implementierungen anders interpretiert wird.

-p, --ignore-mode
    verlinkt und vergleicht Dateien selbst dann, wenn deren Modi unterschiedlich sind. Die Ergebnisse könnten schwer vorhersehbar sein.

-o, --ignore-owner
    verlinkt und vergleicht Dateien selbst dann, wenn deren Eigentümer (Benutzer und Gruppe) unterschiedlich sind. Die Ergebnisse könnten schwer vorhersehbar sein.

-t, --ignore-time
    verlinkt und vergleicht Dateien selbst dann, wenn deren Änderungszeiten unterschiedlich sind. Dies ist üblicherweise eine gute Wahl.

-X, --respect-xattrs
    versucht, nur Dateien mit den gleichen erweiterten Attributen zu verlinken.

-m, --maximize
    behält von gleichen Dateien diejenige mit der größten Anzahl der Links.

-M, --minimize
    behält von gleichen Dateien diejenige mit der kleinsten Anzahl der Links.

-O, --keep-oldest
    behält von gleichen Dateien die älteste Datei (diejenige mit der neuesten Änderungszeit). Standardmäßig wird die neueste Datei behalten. Falls --maximize oder --minimize angegeben ist, hat die Anzahl der Links Vorrang vor der Änderungszeit.

-x, --exclude regulärer_Ausdruck
    gibt einen regulären Ausdruck an, der Dateien von Vergleichen oder Verlinkungen ausschließt.

-i, --include regulärer_Ausdruck
    gibt einen regulären Ausdruck zur Einbeziehung von Dateien an. Falls die Option --exclude angegeben ist, bezieht diese Option Dateien ein, die ansonsten ausgeschlossen werden würden. Falls die Option ohne --exclude verwendet wird, werden nur Dateien einbezogen, die mit dem Muster übereinstimmen.

-s, --minimum-size Größe
    gibt die minimale zu berücksichtigende Größe an, die standardmäßig 1 ist, so dass leere Dateien nicht verlinkt werden. Dem Argument Größe darf eines der multiplikativen Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB, TiB, PiB, EiB, ZiB und YiB folgen (das »iB« ist optional, zum Beispiel ist »K« gleichbedeutend mit »KiB«).

-S, --buffer-size Größe
    gibt die Größe des beim Vergleichen von Dateiinhalten verwendeten Lesepuffers an (Vorgabe ist 8 KiB). Dies erfordert etwas mehr Speicher, reduziert aber potenziell die Anzahl der Suchvorgänge und verbessert dadurch die Performance, speziell bei mechanischen Festplattenlaufwerken. Wie bei der Option -s können Sie ein Faktor-Suffix angeben. Dies ist zusammen mit anderen Filtern am effizientesten (zum Beispiel mit -f oder -X), könnte aber mit -top-Optionen weniger effizient sein.

ARGUMENTE

hardlink akzeptiert ein oder mehrere Verzeichnisse, die nach zu verlinkenden Dateien durchsucht werden sollen.

FEHLER

Die ursprüngliche hardlink-Implementierung verwendet die Option -f, um die Erzeugung harter Links über Dateisystemgrenzen hinweg zu erzwingen. Diese kaum sinnvoll nutzbare Funktion wird vom aktuellen hardlink nicht mehr unterstützt.

hardlink geht davon aus, dass sich die Verzeichnisbäume, in denen es agiert, während der Programmausführung nicht verändern. Falls dies dennoch geschieht, ist das Ergebnis nicht definiert und potenziell gefährlich. Wenn beispielsweise eine reguläre Datei durch eine Gerätedatei ersetzt wird, könnte hardlink damit beginnen, von diesem Gerät zu lesen. Falls eine Pfadkomponente durch einen symbolischen Link ersetzt wird oder sich Dateizugriffsrechte ändern, könnte die Sicherheit beeinträchtigt werden. Führen Sie hardlink niemals in einem sich ändernden Verzeichnisbaum aus oder in einem, über den ein anderer Benutzer die Kontrolle hat.

AUTOR

Es gibt mehrere hardlink-Implementierungen. Die allererste Implementierung stammt von Jakub Jelinek für die Fedora-Distribution; diese Implementierung wurde in Util-linux von den Versionen 2.34 bis 2.36 genutzt. Die gegenwärtige Implementierung basiert auf der Debian-Version von Julian Andres Klode.

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl hardlink ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).